ランタイム: Mix::HID Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Mix::HID Namespace Reference

ヒューマンインターフェースデバイス More...

## Classes

class | IGamepad
| ゲームパッドインターフェース More...
class | IKeyboard
| キーボードインターフェース More...
class | IManager
| インプットマネージャインターフェース More...
class | IMouse
| マウスインターフェース More...

## Enumerations

enum

KEY {
KEY_F1 = 1, KEY_F2 = 2, KEY_F3 = 3, KEY_F4 = 4,
KEY_F5 = 5, KEY_F6 = 6, KEY_F7 = 7, KEY_F8 = 8,
KEY_F9 = 9, KEY_F10 = 10, KEY_F11 = 11, KEY_F12 = 12,
KEY_0 = 13, KEY_1 = 14, KEY_2 = 15, KEY_3 = 16,
KEY_4 = 17, KEY_5 = 18, KEY_6 = 19, KEY_7 = 20,
KEY_8 = 21, KEY_9 = 22, KEY_NP0 = 23, KEY_NP1 = 24,
KEY_NP2 = 25, KEY_NP3 = 26, KEY_NP4 = 27, KEY_NP5 = 28,
KEY_NP6 = 29, KEY_NP7 = 30, KEY_NP8 = 31, KEY_NP9 = 32,
KEY_A = 33, KEY_B = 34, KEY_C = 35, KEY_D = 36,
KEY_E = 37, KEY_F = 38, KEY_G = 39, KEY_H = 40,
KEY_I = 41, KEY_J = 42, KEY_K = 43, KEY_L = 44,
KEY_M = 45, KEY_N = 46, KEY_O = 47, KEY_P = 48,
KEY_Q = 49, KEY_R = 50, KEY_S = 51, KEY_T = 52,
KEY_U = 53, KEY_V = 54, KEY_W = 55, KEY_X = 56,
KEY_Y = 57, KEY_Z = 58, KEY_UP = 59, KEY_DOWN = 60,
KEY_LEFT = 61, KEY_RIGHT = 62, KEY_ESCAPE = 63, KEY_TAB = 64,
KEY_BACKSPACE = 65, KEY_DELETE = 66, KEY_SPACE = 67, KEY_RETURN = 68,
KEY_SHIFT = 69, KEY_LSHIFT = 70, KEY_RSHIFT = 71, KEY_CTRL = 72,
KEY_LCTRL = 73, KEY_RCTRL = 74, KEY_ALT = 75, KEY_LALT = 76,
KEY_RALT = 77, KEY_MAX = 78
}

| キーコード列挙定数 More...
enum | GAMEPAD_API { GAMEPAD_UNKNOWN = 0, GAMEPAD_XINPUT = 1, GAMEPAD_DIRECTINPUT = 2 }
| ゲームパッド API 列挙定数 More...
enum | GAMEPAD_CONSTANT { GAMEPAD_TRIGGER_RESOLUTION = 255, GAMEPAD_STICK_RESOLUTION = 32767, GAMEPAD_LEFT = 0, GAMEPAD_RIGHT = 1 }
| ゲームパッド定数列挙定数 More...
enum | GAMEPAD_PORT { GAMEPAD_XI_A = 0, GAMEPAD_XI_B = 1, GAMEPAD_XI_C = 2, GAMEPAD_XI_D = 3, GAMEPAD_DI_A = 4, GAMEPAD_DI_B = 5, GAMEPAD_DI_C = 6, GAMEPAD_DI_D = 7, GAMEPAD_PORT_MAX = 8 }
| ゲームパッドポート列挙定数 More...

enum

GAMEPAD_BUTTON {
GAMEPAD_POV_UP = 0, GAMEPAD_POV_DOWN = 1, GAMEPAD_POV_LEFT = 2, GAMEPAD_POV_RIGHT = 3,
GAMEPAD_START = 4, GAMEPAD_BACK = 5, GAMEPAD_STICK_LEFT = 6, GAMEPAD_STICK_RIGHT = 7,
GAMEPAD_SHOULDER_LEFT = 8, GAMEPAD_SHOULDER_RIGHT = 9, GAMEPAD_A = 10, GAMEPAD_B = 11,
GAMEPAD_X = 12, GAMEPAD_Y = 13, GAMEPAD_BUTTON_MAX = 14
}

| ゲームパッドボタン列挙定数 More...
enum | SWITCH_STATE { PRESSED = 0x00000001, RELEASED = 0x00000002, DOWN = 0x00000004 }
| スイッチステート列挙定数 More...

## Functions

_MIX_DLL_API Mix::HID::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::HID::IManager **ppManager)
| マネージャを取得します More...

## Detailed Description

ヒューマンインターフェースデバイス

## Enumeration Type Documentation

enum Mix::HID::KEY

キーコード列挙定数

Enumerator
KEY_F1 | F1.
KEY_F2 | F2.
KEY_F3 | F3.
KEY_F4 | F4.
KEY_F5 | F5.
KEY_F6 | F6.
KEY_F7 | F7.
KEY_F8 | F8.
KEY_F9 | F9.
KEY_F10 | F10.
KEY_F11 | F11.
KEY_F12 | F12.
KEY_0 | 0
KEY_1 | 1
KEY_2 | 2
KEY_3 | 3
KEY_4 | 4
KEY_5 | 5
KEY_6 | 6
KEY_7 | 7
KEY_8 | 8
KEY_9 | 9
KEY_NP0 | NUMPAD 0.
KEY_NP1 | NUMPAD 1.
KEY_NP2 | NUMPAD 2.
KEY_NP3 | NUMPAD 3.
KEY_NP4 | NUMPAD 4.
KEY_NP5 | NUMPAD 5.
KEY_NP6 | NUMPAD 6.
KEY_NP7 | NUMPAD 7.
KEY_NP8 | NUMPAD 8.
KEY_NP9 | NUMPAD 9.
KEY_A | A.
KEY_B | B.
KEY_C | C.
KEY_D | D.
KEY_E | E.
KEY_F | F.
KEY_G | G.
KEY_H | H.
KEY_I | I.
KEY_J | J.
KEY_K | K.
KEY_L | L.
KEY_M | M.
KEY_N | N.
KEY_O | O.
KEY_P | P.
KEY_Q | Q.
KEY_R | R.
KEY_S | S.
KEY_T | T.
KEY_U | U.
KEY_V | V.
KEY_W | W.
KEY_X | X.
KEY_Y | Y.
KEY_Z | Z.
KEY_UP | ↑
KEY_DOWN | ↓
KEY_LEFT | ←
KEY_RIGHT | →
KEY_ESCAPE | ESC.
KEY_TAB | TAB.
KEY_BACKSPACE | BACKSPACE.
KEY_DELETE | DEL.
KEY_SPACE | SPACE.
KEY_RETURN | RETURN( ENTER )
KEY_SHIFT | SHIFT.
KEY_LSHIFT | 左SHIFT
KEY_RSHIFT | 右SHIFT
KEY_CTRL | CTRL.
KEY_LCTRL | 左CTRL
KEY_RCTRL | 右CTRL
KEY_ALT | ALT.
KEY_LALT | 左ALT
KEY_RALT | 右ALT
KEY_MAX | キーの最大数

enum Mix::HID::GAMEPAD_API

ゲームパッド API 列挙定数

Enumerator
GAMEPAD_UNKNOWN | 不明
GAMEPAD_XINPUT | XInput.
GAMEPAD_DIRECTINPUT | DirectInput.

enum Mix::HID::GAMEPAD_CONSTANT

ゲームパッド定数列挙定数

Enumerator
GAMEPAD_TRIGGER_RESOLUTION | トリガーの解像度
GAMEPAD_STICK_RESOLUTION | スティックの解像度
GAMEPAD_LEFT | 左
GAMEPAD_RIGHT | 右

enum Mix::HID::GAMEPAD_PORT

ゲームパッドポート列挙定数

Enumerator
GAMEPAD_XI_A | XInputゲームパッドA.
GAMEPAD_XI_B | XInputゲームパッドB.
GAMEPAD_XI_C | XInputゲームパッドC.
GAMEPAD_XI_D | XInputゲームパッドD.
GAMEPAD_DI_A | DirectInputゲームパッドA.
GAMEPAD_DI_B | DirectInputゲームパッドB.
GAMEPAD_DI_C | DirectInputゲームパッドC.
GAMEPAD_DI_D | DirectInputゲームパッドD.
GAMEPAD_PORT_MAX | ゲームポートの最大数

enum Mix::HID::GAMEPAD_BUTTON

ゲームパッドボタン列挙定数

Enumerator
GAMEPAD_POV_UP | POV( 上 )
GAMEPAD_POV_DOWN | POV( 下 )
GAMEPAD_POV_LEFT | POV( 左 )
GAMEPAD_POV_RIGHT | POV( 右 )
GAMEPAD_START | スタート
GAMEPAD_BACK | バック
GAMEPAD_STICK_LEFT | スティック( 左 )
GAMEPAD_STICK_RIGHT | スティック( 右 )
GAMEPAD_SHOULDER_LEFT | ショルダー( 左 )
GAMEPAD_SHOULDER_RIGHT | ショルダー( 右 )
GAMEPAD_A | A.
GAMEPAD_B | B.
GAMEPAD_X | X.
GAMEPAD_Y | Y.
GAMEPAD_BUTTON_MAX | ボタンの最大数

enum Mix::HID::SWITCH_STATE

スイッチステート列挙定数

Enumerator
PRESSED | キーもしくわ、ボタンが押された
RELEASED | キーもしくわ、ボタンが離された
DOWN | キーもしくわ、ボタンが押されている

## Function Documentation

_MIX_DLL_API Mix::HID::IManager* Mix::HID::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::HID::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::HID::GetManager | ( | Mix::HID::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::HID::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。